[tool.poetry]
name = "gva"
version = "0.13.0"
description = "gnuviechadmin web interface"
authors = ["Jan Dittberner <jan@dittberner.info>"]
license = "AGPL-3+"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.7"
django = "<4"
psycopg2-binary = "^2.9"
celery = "^5.2.7"
django-allauth = "^0.52.0"
django-crispy-forms = "<2"
django-debug-toolbar = "^3.8"
django-model-utils = "^4.1"
gvacommon = {version = "^0.6.0", source = "gnuviech"}
passlib = "^1.7.4"
redis = "^4.5.1"
requests-oauthlib = "^1.3.1"
django-impersonate = "^1.9.1"


[tool.poetry.group.dev.dependencies]
coverage = "^7.1.0"
sphinx = "<6"
releases = "^2.0.0"
sphinxcontrib-blockdiag = "^3.0.0"
pylama = "^8.4.1"
black = "^23.1.0"
isort = "<5"


[[tool.poetry.source]]
name = "gnuviech"
url = "https://pypi.gnuviech-server.de/simple"
default = false
secondary = false


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
